{{- if .Values.apis.mijnomgeving.enabled -}}
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: {{ include "fullname" (list $ .Values.apis.mijnomgeving.name) }}
  namespace: {{ .Release.Namespace }}
  labels:
    {{- include "api-mijnomgeving.labels" . | nindent 4 }}
  annotations: 
    helm.sh/hook: pre-install, pre-upgrade
    helm.sh/hook-weight: "0"
specs:
  - description: "allow connection to api"
    endpointSelector:
      matchLabels:
        app.kubernetes.io/name: {{  .Values.apis.mijnomgeving.name }}
    ingress:
      - fromEndpoints:
          - matchLabels:
              k8s:io.kubernetes.pod.namespace: ingress-nginx
  - description: "Allow api acces to internet"
    endpointSelector:
      matchLabels:
        app.kubernetes.io/name: {{  .Values.apis.mijnomgeving.name }}
        app.kubernetes.io/instance: {{ .Release.Name }}
    egress:
    - toFQDNs:
      - matchName: "{{ .Values.global.api.auth0.domain }}"
      - matchPattern: "{{ .Values.apis.mijnomgeving.egressMatchPattern }}"
      {{- with .Values.global.api.networkpolicy.defaultEgresstoFQDNs }}
        {{- toYaml . | nindent 6 }}
      {{- end }}
{{- end }}
